## doom-package 15

=== Makefile ===
BINDIR=$(DESTDIR)/usr/games
DATADIR=$(DESTDIR)/usr/share/games/doom-package
MANDIR=$(DESTDIR)/usr/share/man

DOOM2VER=$(word 2, $(shell grep '^Version' doom2-wad/DEBIAN/control))
DOOM2DEB=doom2-wad_$(DOOM2VER)_all.deb

$(DOOM2DEB): doom2-wad/DEBIAN/md5sums fixperms
	fakeroot dpkg-deb -b doom2-wad $@

doom2-wad/DEBIAN/md5sums:
	cd doom2-wad && find usr/ -type f -print0 |\
		xargs -0 md5sum >DEBIAN/md5sums

# necessary as dpkg-source will honour the shell's umask
fixperms:
	find doom2-wad -type f -print0 | xargs -0 chmod 644
	find doom2-wad -type d -print0 | xargs -0 chmod 755
	chmod 755 doom2-wad/DEBIAN/postinst
	chmod 755 doom2-wad/DEBIAN/prerm

install:
	install -p -m 0755 make-wad-package $(BINDIR)/
	install -p -m 0644 make-wad-package.6 $(MANDIR)/man6/
	install -p -m 0644 doom2-wad_$(DOOM2VER)_all.deb $(DATADIR)/

clean:
	rm -f $(DOOM2DEB) doom2-wad/DEBIAN/md5sums

.PHONY: clean doom2-wad/DEBIAN/md5sums fixperms

=== debian/changelog ===
doom-package (15) unstable; urgency=low

  * Initial upload. Closes: #280045,  #326813.
  * update comments in make-wad-package (thanks Ben Hutchings)
  * remove dummy md5sum and doom2.wad file from package
    (thanks Ben Hutchings)
  * auto-generate md5sums in the doom2-wad .deb on build
  * remove binutils dependency
  * use Build-Depends, not -Indep (thanks Ben Hutchings)
  * make-wad-package is a bash script (not sh, yet)
  * clarify copyright (GPL-2)
  * use fakeroot again (or doom2-wad will unpack with the wrong uid)
  * manually adjust perms in doom2-wad (unpacked source might be mangled)
  
  [Ben Hutchings <ben@decadent.org.uk>]
  * added quoting of error messages so the usage message looks right
  * added quoting of working directory just in case it has a space in it

 -- Jon Dowland <jon@alcopop.org>  Sun,  1 Oct 2006 21:07:31 +0100
 

doom-package (14) unstable; urgency=low

  * restructure internal package to use dpkg-deb
    rather than dpkg-buildpackage (similar to the
    internal work on make-wad-package)
  * ensure doom2-wad .deb is in section non-free
  * clarify copyright in doom2-wad

 -- Jon Dowland <jon@alcopop.org>  Sun,  1 Oct 2006 17:20:35 +0100

doom-package (13) unstable; urgency=low

  * big restructuring: use dpkg-deb a lot
  * calculate correct Installed-Size

 -- Jon Dowland <jon@alcopop.org>  Sat, 30 Sep 2006 19:06:28 +0100

doom-package (12) unstable; urgency=low

  * do not invoke dpkg, save deb in CWD instead
  * thus, do not check for or require root
  * quote a few more variables
  * change maintainer
  * update version of internal package
  * make BINDIR /usr/games

 -- Jon Dowland <jon@alcopop.org>  Sat, 30 Sep 2006 18:30:48 +0100

doom-package (11) unstable; urgency=low

  * fix "doom-data" in doom2-wad postinst

 -- Jon Dowland <jon@alcopop.org>  Thu, 29 Jun 2006 09:06:38 +0100

doom-package (10) unstable; urgency=low

  * do not use a zero-file to pad .deb for file-size reasons
  * update doom2-wad version in Makefile
  * a few further maintainer changes
  * fix references to "doom-data" in make-wad-package
  * put manpage in section 6 (in-line with other doom packages)
  * menu-entry: Games/Arcade (in-line with other doom packages)
  * parameterize (slightly) doom2-wad package version

 -- Jon Dowland <jon@alcopop.org>  Tue, 16 May 2006 22:15:37 +0100

doom-package (9) unstable; urgency=low

  * package renamed from doom-data to doom-package
  * updated maintainer field
  * moved to contrib

 -- Jon Dowland <jon@alcopop.org>  Tue,  3 Jan 2006 21:19:13 +0000

doom-data (8) unstable; urgency=low

  * reformat ./debian/copyright for line length. (thanks Stephen Quinney)
  * DH_COMPAT -> ./debian/compat; synchronize level (4) with Depends:
    (thanks Stephen Quinney)

 -- Jon Dowland <jon@dowland.name>  Wed, 14 Dec 2005 16:18:32 +0000

doom-data (7) unstable; urgency=low

  * we now provide the source to the doom2-wad deb and build it during the
    package's build stage
  * add a menu-entry
  * debhelper 4 compatible (in _both_ rules files!)
    (thanks Moritz Muehlenhoff)
  * reflects policy 3.6.2 (thanks Moritz Muehlenhoff)
  * non package-specific changes to changelog rather than debian/changelog

 -- Jon Dowland <jon@dowland.name>  Sat,  5 Nov 2005 16:48:16 +0000

doom-data (6) unstable; urgency=low

  * remove fakeroot dependency (not needed for now)
  * manpage,control file: remove reference to floppy disks (we don't handle
    them yet)
  * control file: acknowledge that we generate a .deb for the IWAD
  * make-wad-package: update usage instructions to reflect new name

 -- Jon Dowland <jon@dowland.name>  Sun, 16 Oct 2005 22:00:22 +0100

doom-data (5) unstable; urgency=low

  * quote arguments, for filenames with spaces
  * fix echo command to honour escape characters
  * renamed `doom-data' binary to `make-wad-package'
  * added a manpage for make-wad-package

 -- Jon Dowland <jon@dowland.name>  Wed, 12 Oct 2005 20:42:36 +0100

doom-data (4) unstable; urgency=low

  * move away from using debconf and postinst stages for installing
    the IWAD data

 -- Jon Dowland <jon@dowland.name>  Thu,  6 Oct 2005 20:06:23 +0100

doom-data (3) unstable; urgency=low

  * Minor spelling correction in postinst

 -- Jon Dowland <jon@dowland.name>  Tue,  4 Oct 2005 17:37:00 +0100

doom-data (2) unstable; urgency=low

  * Provides: doom-wad, so that it can be used to install a doom engine

 -- Jon Dowland <jon@dowland.name>  Tue,  4 Oct 2005 17:20:53 +0100

doom-data (1) unstable; urgency=low

  * Initial package, heavily influenced by quake2-data

 -- Jon Dowland <jon@dowland.name>  Thu, 29 Sep 2005 19:19:21 +0100

=== debian/control ===
Source: doom-package
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jon Dowland <jon@alcopop.org>
Build-Depends: debhelper (>> 4.0.0), fakeroot
Standards-Version: 3.7.2

Package: doom-package
Depends: fakeroot
Architecture: all
Recommends: doom-engine
Description: Installer for Doom data files
 Doom requires both a doom-engine and a doom-wad to play. This package
 allows you to generate and install a debian package from your original
 doom data; whether on the original CD-ROM or your filesystem.
 .
 Currently doom-package supports DOOM 2 only.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/`dh_listpackages`

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -XTODO
	dh_installmenu
	dh_installman
	dh_installchangelogs 
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
